/*
 * InitialReference is a class for creating an external IOR for the object
 * reference INIT.
 */
#ifndef _INITIALREFERENCE_HH
#define _INITIALREFERENCE_HH
#include <stdio.h>
#include <string.h>
#include <strstream.h>

class InitialReference {
private:
  char* iorString;
  char* host;
  int port;

  void enc_ushort(int s, char *byteArray);
  void enc_ulong(long l, char *byteArray);
  void createIOR(strstream& byte, long length);
  long align(strstreambuf* sbuf, long currentLength, int alignment);

public:
  InitialReference();
  ~InitialReference();

  char* stringified_ior(char* host, int port);
  
};

#endif
